package com.zehong.system.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * 设备信息对象 t_device_info
 * 
 * @author zehong
 * @date 2021-07-09
 */
public class TDeviceInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 设备id */
    private Long deviceId;

    /** 企业id */
    @Excel(name = "企业id")
    private Long enterpriseId;

    /** 所属管道id */
    @Excel(name = "所属管道id")
    private Long pipeId;

    /** 设备名称 */
    @Excel(name = "设备名称")
    private String deviceName;

    /** 所在地址 */
    @Excel(name = "所在地址")
    private String deviceAddr;

    /** 设备型号 */
    @Excel(name = "设备型号")
    private String deviceModel;

    /** 设备类型 */
    @Excel(name = "设备类型")
    private String deviceType;

    /** 经度 */
    @Excel(name = "经度")
    private BigDecimal longitude;

    /** 纬度 */
    @Excel(name = "纬度")
    private BigDecimal latitude;

    /** 物联网编号 */
    @Excel(name = "物联网编号")
    private String iotNo;

    /** 设备图片路径 */
    @Excel(name = "设备图片路径")
    private String iconUrl;

    /** 联系人 */
    @Excel(name = "联系人")
    private String linkman;

    /** 电话 */
    @Excel(name = "电话")
    private String phone;

    /** 安装时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "安装时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date installationTime;

    /** 最后巡检时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "最后巡检时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date inspectionTime;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    public void setDeviceId(Long deviceId) 
    {
        this.deviceId = deviceId;
    }

    public Long getDeviceId() 
    {
        return deviceId;
    }
    public void setEnterpriseId(Long enterpriseId) 
    {
        this.enterpriseId = enterpriseId;
    }

    public Long getEnterpriseId() 
    {
        return enterpriseId;
    }
    public void setPipeId(Long pipeId) 
    {
        this.pipeId = pipeId;
    }

    public Long getPipeId() 
    {
        return pipeId;
    }
    public void setDeviceName(String deviceName) 
    {
        this.deviceName = deviceName;
    }

    public String getDeviceName() 
    {
        return deviceName;
    }
    public void setDeviceAddr(String deviceAddr) 
    {
        this.deviceAddr = deviceAddr;
    }

    public String getDeviceAddr() 
    {
        return deviceAddr;
    }
    public void setDeviceModel(String deviceModel) 
    {
        this.deviceModel = deviceModel;
    }

    public String getDeviceModel() 
    {
        return deviceModel;
    }
    public void setDeviceType(String deviceType) 
    {
        this.deviceType = deviceType;
    }

    public String getDeviceType() 
    {
        return deviceType;
    }
    public void setLongitude(BigDecimal longitude) 
    {
        this.longitude = longitude;
    }

    public BigDecimal getLongitude() 
    {
        return longitude;
    }
    public void setLatitude(BigDecimal latitude) 
    {
        this.latitude = latitude;
    }

    public BigDecimal getLatitude() 
    {
        return latitude;
    }
    public void setIotNo(String iotNo) 
    {
        this.iotNo = iotNo;
    }

    public String getIotNo() 
    {
        return iotNo;
    }
    public void setIconUrl(String iconUrl) 
    {
        this.iconUrl = iconUrl;
    }

    public String getIconUrl() 
    {
        return iconUrl;
    }
    public void setLinkman(String linkman) 
    {
        this.linkman = linkman;
    }

    public String getLinkman() 
    {
        return linkman;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setInstallationTime(Date installationTime) 
    {
        this.installationTime = installationTime;
    }

    public Date getInstallationTime() 
    {
        return installationTime;
    }
    public void setInspectionTime(Date inspectionTime) 
    {
        this.inspectionTime = inspectionTime;
    }

    public Date getInspectionTime() 
    {
        return inspectionTime;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("deviceId", getDeviceId())
            .append("enterpriseId", getEnterpriseId())
            .append("pipeId", getPipeId())
            .append("deviceName", getDeviceName())
            .append("deviceAddr", getDeviceAddr())
            .append("deviceModel", getDeviceModel())
            .append("deviceType", getDeviceType())
            .append("longitude", getLongitude())
            .append("latitude", getLatitude())
            .append("iotNo", getIotNo())
            .append("iconUrl", getIconUrl())
            .append("linkman", getLinkman())
            .append("phone", getPhone())
            .append("installationTime", getInstallationTime())
            .append("inspectionTime", getInspectionTime())
            .append("remarks", getRemarks())
            .toString();
    }
}
